#include <bits/stdc++.h>
#define ll long long
using namespace std;

const int MAXN = 1e5 + 5;

int N, K, D[MAXN];

int main()
{
    ios_base::sync_with_stdio(false), cin.tie(0), cout.tie(0);
    cin >> N >> K;
    for(int i = 1; i <= K; i++) cin >> D[i];
    for(int i = 1; i <= K; i++)
    {
        int sol = 0;
        for(int j = 1; j <= K; j++)
            if(D[i] % D[j] == 0)
                sol ^= D[j];
        cout << sol << "\n";
    }
    return 0;
}